Bug 597315 - Review Request: bwa - Burrows-Wheeler Alignment tool
Review Request: bwa - Burrows-Wheeler Alignment tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chen Lei
Fedora Extras Quality Assurance
:
: 533738 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 12:02 EDT by Adam Huffman
Modified: 2015-05-29 21:29 EDT (History)
4 users (show)

See Also:
Fixed In Version: bwa-0.5.8a-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-15 01:41:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
supercyper1: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Huffman 2010-05-28 12:02:43 EDT
Spec URL: http://verdurin.org.uk/~verdurin/fedora/reviews/bwa/bwa.spec
SRPM URL: http://verdurin.org.uk/~verdurin/fedora/reviews/bwa/bwa-0.5.7-1.fc12.src.rpm
Description: 

BWA is a program for aligning sequencing reads against a large
reference genome (e.g. human genome). It has two major components, one
for reads shorter than 150bp and the other for longer reads.
Comment 1 Chen Lei 2010-05-28 23:52:40 EDT
Some initial comments:

1.Source0 seems not right, I cannot download tarball from this URL.
2. make %{?_smp_mflags} -> make %{?_smp_mflags} CFLAGS="%{optflags}"
You must honor optflags correctly in package.

3.Please also install bwa.1 to %{_mandir}/man1
4.INSTALL should not be included in %doc.
Comment 2 Adam Huffman 2010-05-29 05:52:03 EDT
I've addressed these problems in version 2 - thanks for taking a look so quickly.

Spec URL: http://verdurin.org.uk/~verdurin/fedora/reviews/bwa/bwa.spec
SRPM URL: http://verdurin.org.uk/~verdurin/fedora/reviews/bwa/bwa-0.5.7-2.fc12.src.rpm

rpmlint reports the following warning, which I think can be ignored:

bwa.src: W: spelling-error %description -l en_US bp -> BP, b, p
Comment 3 Chen Lei 2010-05-29 06:25:15 EDT
rpmlint bwa-*
bwa.x86_64: W: spelling-error %description -l en_US bp -> BP, b, p
bwa.x86_64: W: no-manual-page-for-binary qualfa2fq.pl
bwa.x86_64: W: no-manual-page-for-binary solid2fastq.pl
2 packages and 0 specfiles checked; 0 errors, 3 warnings.


Those warings are all harmless, this package is approved .
Comment 4 Adam Huffman 2010-06-06 11:19:20 EDT
New Package CVS Request
=======================
Package Name: bwa
Short Description: Burrows-Wheeler Alignment tool
Owners: verdurin
Branches: F-12 F-13 EL-5
InitialCC:
Comment 5 Kevin Fenzi 2010-06-07 16:59:28 EDT
CVS done (by process-cvs-requests.py).

Do you not want a EL-6 branch as well? File an additional request if you do.
Comment 6 Adam Huffman 2010-06-07 18:47:35 EDT
New Package CVS Request
=======================
Package Name: bwa
Short Description: Burrows-Wheeler Alignment tool
Owners: verdurin
Branches: EL-6
InitialCC:
Comment 7 Kevin Fenzi 2010-06-11 00:50:55 EDT
CVS done.
Comment 8 Fedora Update System 2010-07-12 08:35:07 EDT
bwa-0.5.7-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bwa-0.5.7-2.fc13
Comment 9 Fedora Update System 2010-07-12 08:36:11 EDT
bwa-0.5.7-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/bwa-0.5.7-2.fc12
Comment 10 Fedora Update System 2010-07-12 08:46:16 EDT
bwa-0.5.7-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/bwa-0.5.7-2.el5
Comment 11 Chen Lei 2010-07-12 10:42:59 EDT
It seems bwa 0.5.8a is out now.
Comment 12 Adam Huffman 2010-07-12 11:20:05 EDT
Indeed - I had neglected to push my builds to Bodhi.  Once I've updated the package, is it best to remove the old update from Bodhi?
Comment 13 Fedora Update System 2010-07-13 03:27:28 EDT
bwa-0.5.7-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bwa'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/bwa-0.5.7-2.fc12
Comment 14 Fedora Update System 2010-07-13 03:34:41 EDT
bwa-0.5.7-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bwa'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/bwa-0.5.7-2.fc13
Comment 15 Adam Huffman 2010-07-20 18:45:51 EDT
There is a compilation problem with 0.5.8a - I'll submit a new update once I've fixed it.
Comment 16 Fedora Update System 2010-07-21 08:24:43 EDT
bwa-0.5.7-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bwa'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/bwa-0.5.7-2.el5
Comment 17 Fedora Update System 2010-08-05 06:54:10 EDT
bwa-0.5.8a-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bwa-0.5.8a-1.fc13
Comment 18 Fedora Update System 2010-08-05 06:55:17 EDT
bwa-0.5.8a-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/bwa-0.5.8a-1.fc12
Comment 19 Fedora Update System 2010-08-05 06:56:11 EDT
bwa-0.5.8a-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/bwa-0.5.8a-1.el5
Comment 20 Fedora Update System 2010-08-05 19:28:10 EDT
bwa-0.5.8a-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bwa'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/bwa-0.5.8a-1.fc12
Comment 21 Martin Gieseking 2010-08-24 04:10:20 EDT
*** Bug 533738 has been marked as a duplicate of this bug. ***
Comment 22 Fedora Update System 2010-09-14 13:30:07 EDT
bwa-0.5.8a-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2010-09-15 01:25:35 EDT
bwa-0.5.8a-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2010-09-15 01:41:32 EDT
bwa-0.5.8a-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Adam Huffman 2015-05-29 17:49:18 EDT
Package Change Request
======================
Package Name: bwa
New Branches: EL-7
Owners: verdurin
Comment 26 Jon Ciesla 2015-05-29 21:29:05 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.